import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { Point, IList$1, Base, Type } from "igniteui-react-core/ES5/type";
import { Rect } from "igniteui-react-core/ES5/Rect";
export declare class RadialAxes extends Base {
    b: NumericRadiusAxis;
    a: CategoryAngleAxis;
    constructor(a: NumericRadiusAxis, b: CategoryAngleAxis);
    private h;
    d(a: number, b: number, c: Rect, d: Rect): number;
    f(a: IList$1<Point>, b: IList$1<number>, c: IList$1<number>, d: Rect, e: Rect, f: (arg1: number, arg2: number) => number, g: (arg1: number, arg2: number) => number): void;
    g(a: number, b: number, c: Rect, d: Rect, e: number, f: number): {
        p4: number;
        p5: number;
    };
    e(a: number, b: number, c: Rect, d: Rect): number;
    c(a: Point): number;
    static $t: Type;
}
